Skip to content
Browse files

ability to test against an edge version of jQuery

simply put jQuery in "test/public/test/jquery.js"
and select "edge" in the header
  • Loading branch information...
1 parent b4cd9c3 commit b95f1ed91033df3fd38ca558732004e526e8838c @mislav mislav committed Jan 7, 2011
Showing with 5 additions and 2 deletions.
  1. +1 −1 .gitignore
  2. +3 −1 test/server.rb
  3. +1 −0 test/views/index.erb
View
2 .gitignore
@@ -1,4 +1,4 @@
-test/public/vendor/rails.js
+test/public/vendor/jquery.js
*.swp
*.swo
.#*
View
4 test/server.rb
@@ -13,7 +13,9 @@ def jquery_link version
end
def jquery_src
- "http://code.jquery.com/jquery-#{params[:version]}.js"
+ if params[:version] == 'edge' then "/vendor/jquery.js"
+ else "http://code.jquery.com/jquery-#{params[:version]}.js"
+ end
end
def test *names
View
1 test/views/index.erb
@@ -6,6 +6,7 @@
jquery-ujs test
<%= jquery_link '1.4.3' %>
<%= jquery_link '1.4.4' %>
+ <%= jquery_link 'edge' if File.exist?(settings.root + '/public/vendor/jquery.js') %>
</h1>
<h2 id="qunit-banner"></h2>
<h2 id="qunit-userAgent"></h2>

0 comments on commit b95f1ed

Please sign in to comment.
Something went wrong with that request. Please try again.